<template>
  <tr>
    <td scope="row fw-bold">{{item.title}}</td>
   
    <td>{{item.cantidad}}</td>
    <td>
        <button class="btn hero-btn btn-sm" @click="aumentar(item.id)">
            +
        </button>
        <button class="btn danger-btn btn-sm" @click="disminuir(item.id)">
            -
        </button>
    </td>
    <td>${{item.precio * item.cantidad}}</td>
  </tr>
</template>

<script>
import {useStore} from 'vuex'
export default {
    props: ['item'],
    setup(){
        const store = useStore()
        const aumentar = id => {store.commit('aumentar', id)}
        const disminuir = id => {store.commit('disminuir', id)}
        return {aumentar, disminuir}
    }
}
</script>
<style >
.hero-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(0, 0, 0);
     border: 1px solid #fff;
     padding: 8px;
     font-size: 15px;
     background: rgba(0, 0, 0, .3);
     position: relative;
     cursor: pointer;
}

.hero-btn:hover {
     border: 1px solid #000000;
     background: #37b89a;
     transition: 1s;
}
.danger-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(0, 0, 0);
     border: 1px solid #fff;
     padding: 8px;
     font-size: 15px;
     background: rgba(0, 0, 0, .3);
     position: relative;
     cursor: pointer;
}

.danger-btn:hover {
     border: 1px solid #000000;
     background: #da5454;
     transition: 1s;
}
      
</style>